Package org.jboss.logmanager.handlers

# Class FileHandler

java.lang.Object
java.util.logging.Handler
org.jboss.logmanager.ExtHandler
org.jboss.logmanager.handlers.WriterHandler
org.jboss.logmanager.handlers.OutputStreamHandler
org.jboss.logmanager.handlers.FileHandler

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`, `FlushableCloseable`, `Protectable`

Direct Known Subclasses:
  `PeriodicRotatingFileHandler`, `SizeRotatingFileHandler`

public class FileHandler extends OutputStreamHandler
A simple file handler.

## Field Summary

### Fields inherited from class org.jboss.logmanager.handlers.WriterHandler

`outputLock`

### Fields inherited from class org.jboss.logmanager.ExtHandler

`handlers, handlersUpdater`

## Constructor Summary

Constructors
Constructor
Description
`FileHandler()`
Construct a new instance with no formatter and no output file.
`FileHandler(File file)`
Construct a new instance with the given output file.
`FileHandler(File file, boolean append)`
Construct a new instance with the given output file and append setting.
`FileHandler(String fileName)`
Construct a new instance with the given output file.
`FileHandler(String fileName, boolean append)`
Construct a new instance with the given output file and append setting.
`FileHandler(Formatter formatter)`
Construct a new instance with the given formatter and no output file.
`FileHandler(Formatter formatter, File file)`
Construct a new instance with the given formatter and output file.
`FileHandler(Formatter formatter, File file, boolean append)`
Construct a new instance with the given formatter, output file, and append setting.

## Method Summary

Modifier and Type
Method
Description
`File`
`getFile()`
Get the current output file.
`void`
`setAppend(boolean append)`
Specify whether to append to the target file.
`void`
`setFile(File file)`
Set the output file.
`void`
`setFileName(String fileName)`
Set the output file by name.

### Methods inherited from class org.jboss.logmanager.handlers.OutputStreamHandler

`getEncoding, setEncoding, setOutputStream, setWriter`

### Methods inherited from class org.jboss.logmanager.handlers.WriterHandler

`close, doPublish, flush, preWrite, safeClose`

### Methods inherited from class org.jboss.logmanager.ExtHandler

`addHandler, checkAccess, checkAccess, clearHandlers, disableAccess, enableAccess, getHandlers, isAutoFlush, isCallerCalculationRequired, isCloseChildren, isEnabled, protect, publish, publish, removeHandler, setAutoFlush, setCloseChildren, setEnabled, setErrorManager, setFilter, setFormatter, setHandlers, setLevel, unprotect`

### Methods inherited from class java.util.logging.Handler

`getErrorManager, getFilter, getFormatter, getLevel, isLoggable, reportError`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileHandler

public FileHandler()
Construct a new instance with no formatter and no output file.

### FileHandler

public FileHandler(Formatter formatter)
Construct a new instance with the given formatter and no output file.

Parameters:
  `formatter` - the formatter

### FileHandler

public FileHandler(Formatter formatter, File file) throws FileNotFoundException
Construct a new instance with the given formatter and output file.

Parameters:
  `formatter` - the formatter
  `file` - the file
Throws:
  `FileNotFoundException` - if the file could not be found on open

### FileHandler

public FileHandler(Formatter formatter, File file, boolean append) throws FileNotFoundException
Construct a new instance with the given formatter, output file, and append setting.

Parameters:
  `formatter` - the formatter
  `file` - the file
  `append` - `true` to append, `false` to overwrite
Throws:
  `FileNotFoundException` - if the file could not be found on open

### FileHandler

public FileHandler(File file) throws FileNotFoundException
Construct a new instance with the given output file.

Parameters:
  `file` - the file
Throws:
  `FileNotFoundException` - if the file could not be found on open

### FileHandler

public FileHandler(File file, boolean append) throws FileNotFoundException
Construct a new instance with the given output file and append setting.

Parameters:
  `file` - the file
  `append` - `true` to append, `false` to overwrite
Throws:
  `FileNotFoundException` - if the file could not be found on open

### FileHandler

public FileHandler(String fileName) throws FileNotFoundException
Construct a new instance with the given output file.

Parameters:
  `fileName` - the file name
Throws:
  `FileNotFoundException` - if the file could not be found on open

### FileHandler

public FileHandler(String fileName, boolean append) throws FileNotFoundException
Construct a new instance with the given output file and append setting.

Parameters:
  `fileName` - the file name
  `append` - `true` to append, `false` to overwrite
Throws:
  `FileNotFoundException` - if the file could not be found on open

## Method Details

### setAppend

public void setAppend(boolean append)
Specify whether to append to the target file.

Parameters:
  `append` - `true` to append, `false` to overwrite

### setFile

public void setFile(File file) throws FileNotFoundException
Set the output file.

Parameters:
  `file` - the file
Throws:
  `FileNotFoundException` - if an error occurs opening the file

### getFile

public File getFile()
Get the current output file.

Returns:
  the file

### setFileName

public void setFileName(String fileName) throws FileNotFoundException
Set the output file by name.

Parameters:
  `fileName` - the file name
Throws:
  `FileNotFoundException` - if an error occurs opening the file